> For the complete documentation index, see [llms.txt](https://developers.wiki.resourcefulbees.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.wiki.resourcefulbees.com/readme/trait-data/damage-effect.md).

# Damage Effect

## Customization Options

***

### <mark style="color:orange;">`source`</mark>

The ResourceLocation for any registered MobEffect, including modded ones.

***

{% hint style="info" %}
**Name:** Damage Source

**Key:** <mark style="color:orange;">`source`</mark>

**Type:** ResourceLocation

**Default:** `minecraft:cactus`
{% endhint %}

<details>

<summary>Example</summary>

```json
{
  "auras": [
    {
      "aura": "DAMAGING",
      "damageEffect": {
        "source": "minecraft:in_fire"
      }
    }
  ]
}
```

</details>

### <mark style="color:orange;">`hasEntity`</mark>

If the damage source is sourced from an entity, this should be marked as `true`. This allows for the death messages to be displayed correctly in the event the target entity dies.

***

{% hint style="info" %}
**Name:** Has Entity Source

**Key:** <mark style="color:orange;">`hasEntity`</mark>

**Type:** Boolean

**Default:** `false`
{% endhint %}

<details>

<summary>Example</summary>

```json
{
  "auras": [
    {
      "aura": "DAMAGING",
      "damageEffect": {
        "source": "minecraft:thorns",
        "hasEntity": true
      }
    }
  ]
}
```

</details>

### <mark style="color:orange;">`strength`</mark>

The strength of the damage effect.

***

{% hint style="info" %}
**Name:** Strength

**Key:** <mark style="color:orange;">`strength`</mark>

**Type:** Integer

**Range:** 0 - 20

**Default:** 0
{% endhint %}

<details>

<summary>Example</summary>

```json
{
  "auras": [
    {
      "aura": "DAMAGING",
      "potionEffect": {
        "effect": "minecraft:wither",
        "strength": 5
      }
    }
  ]
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.wiki.resourcefulbees.com/readme/trait-data/damage-effect.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
